@Ifndef _SECTEST_INC
@Define _SECETST_INC

// ff　　入力項目と非入力項目を指定するフィールド名をスペース区切りで連結したもの
// flg   スキップ項目に切り替えのとき、１．入力項目のとき０を指定
// farray,cnt,i,fmt ファンクション内で有効な一時変数
function ChangeAttr(ff,flag,farray,cnt,i,fmt)
{
    farray[0]=""
    fmt=GetFormatNo(RNO)
    cnt=Split(ff, farray, " ")
    if(flag == 1) flag=3
    else flag=0
    for(i=1; i <= cnt; i++) SetFieldAttr(fmt, GetFNO(farray[i]), 2, flag) // 項目のスキップ属性を変更
}
// 検査する西暦の年の部分
function LEAP(x)
{
 y = Int(x)
if(y <= 0)
 return 0
if (y%4 == 0 && y%100 != 0 || y%400 == 0)
 return 1
else
 return 0
}
@Endif
